Package twisted :: Package python :: Module roots :: Class Request

[frames | no frames]

## Class Request

I am an abstract representation of a request for an entity.

I also function as the response. The request is responded to by calling self.write(data) until there is no data left and then calling self.finish().

Method Summary
| ``finish`(self)` The response to this request is finished; flush all data to the network stream.
| ``write`(self, data)` Add some data to the response to this request.

Class Variable Summary
`NoneType` | `wireProtocol` = None

Method Details

### finish(self)

The response to this request is finished; flush all data to the network stream.

### write(self, data)

Add some data to the response to this request.

Class Variable Details

### wireProtocol

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:07:58 2004 | http://epydoc.sf.net